Bug 86035 - MENUS: Addition of shapes and textbox to insert menu
Summary: MENUS: Addition of shapes and textbox to insert menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-08 13:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-03-01 15:35 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-08 13:38:38 UTC
It would be useful to have menu items for inserting shapes and textboxes. The entry to insert shapes would simply activate the drawing toolbar (.uno:InsertDraw), as presently its only accessible through the toolbar and some users will miss it in the toolbar. The entry for textbox would execute .uno:DrawText, so a user could easily draw a textbox without having to open the drawing toolbar, where it is the second most used button.

Here is how other word processor menus look for these two items.

Google Docs:
Insert > Drawing...

iWork Pages:
Insert > Shapes > [submenu]
Insert > Text Box

WordPerfect
Insert > Shapes...
Insert > Text Box

Word 2003:
Insert > Picture > AutoShapes
Insert > Text Box

WPS Writer:
Insert > Text Box
Comment 1 Yousuf Philips (jay) (retired) 2014-11-08 18:35:55 UTC
Hi Samuel,

Did you mistakenly press fixed over pressing NEW?
Comment 2 Samuel Mehrbrodt (CIB) 2014-11-08 19:15:54 UTC
Yeah sorry...
Comment 3 tommy27 2014-11-09 17:45:29 UTC
ok, let's put it back to NEW. I agree with this enhancement request.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-09 21:34:19 UTC
So we have tooltips 'Show Draw Functions' for .uno:InsertDraw and 'Text' for .uno:DrawText and unfortunately these arent suitable for the insert menu. I think 'Text Box' is fine for .uno:DrawText, but not sure what to use for .uno:InsertDraw.

Here are some suggestions, so let me know what you guys think.

1) Insert > Drawing...
2) Insert > Draw Shapes...
3) Insert > Draw Shapes/Objects...
4) Insert > Drawing Shapes...
5) Insert > Drawing Shapes/Objects...
Comment 5 Yousuf Philips (jay) (retired) 2014-11-09 21:44:12 UTC
Forgot to include these. :D

6) Insert > Shapes...
7) Insert > Shapes/Objects...
Comment 6 Commit Notification 2014-11-11 14:42:54 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82dcce9dc6e2b598b130179631e87342a656e22c

fdo#86035 added menu items for shapes and text box and did small rearrangement

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Maxim Monastirsky 2014-11-17 13:15:17 UTC
Hi Jay,

Actually .uno:InsertDraw doesn't work at all when it's in a menu, because it depends on a Toolbox controller to work. This must be resolved somehow, or this change must be reverted.
Comment 8 Yousuf Philips (jay) (retired) 2014-11-17 13:46:49 UTC
Hi Maxim,

Thanks for catching that. Unfortunately i dont have the skills to fix that and if it doesnt get fixed, then i'll just put in a Shapes submenu with a few shapes in it (line, rectangle, ellipse, polygon).
Comment 9 Commit Notification 2014-11-29 23:58:27 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f21951b46895f5403ab5e760d5e16c09d890ecb5&h=libreoffice-4-4

fdo#86035 removed shapes and textbox from writer web as they dont function

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-11-30 00:00:02 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cad153e36297f0d1e8f70e702441baab054cfc88&h=libreoffice-4-4

fdo#86035 removed uno:InsertDraw and added shapes submenu to writer

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-11-30 04:25:15 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2eb55ba12a792ab5142c416ffdf65619ce090dc&h=libreoffice-4-4

fdo#86035 impress and draw use .uno:Text and not .uno:DrawText

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Petr Hudeček 2015-03-01 15:29:58 UTC
The commands

Insert > Text Box
Insert > Shapes > Line
Insert > Shapes > Rectangle
Insert > Shapes > Ellipse
Insert > Shapes > Polygon

all work (on Windows 8.1).